Bug 20170 - Installation freezes machine at first text screen
Installation freezes machine at first text screen
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-01 19:47 EST by Heled Joseph
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-04 10:45:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heled Joseph 2000-11-01 19:47:18 EST
Machine is Gateway portable Solo 5300 XL, 256M memory, 20G hard drive.
The support guy is at a loss. 
No matter what type of instellation I try, I end up with a frozen machine
that only a power down helps.

My best try is this:
Got the latest 6.2 bootnet bootnet-20000407.img and
update-disk-20000419.img
boot from those 'boot: linux updates text'
Give the parameters to connect to my Sun UltraSparc station. All seems well
until I get the
'Welcome to ', with a frozen machine.

When I try without the 'text' I get lots of messages about linux not
grokking the display type, which is fine, since it is an unsupported S3 IX.
but the same result.

I tried replacing RedHat/instimage/usr/X11R6/bin/XF86_SVGA with the latest
version from  Tim Roberts (http://www.probo.com/timr/savagemx.html ) , and
I even tried 'cp XF86_SVGA XF86_VGA16', but this this not work as well. 

I am at a loss and very unhappy. Please tell me how I might find what is
wrong?

Thanks, Joseph
Comment 1 Michael Fulbright 2000-11-03 15:05:11 EST
What is the text on virtual console 3 when you do a text based install?

You will want to switch over to it as soon as you can since your machine is
freezing and you might not be able to switch once it has frozen.
Comment 2 Heled Joseph 2000-11-03 21:34:33 EST
* probing buses
* finished bus probing
* found nothing
* trying to mount device hdc
* probing buses
* finished bus probing
* found suggestion of i82635
* found suggestion of i82635
* found suggestion of eepro100
* found eepro100 device
* found devices justProbe is 0
* going to insmod eepro100.o (path is NULL)
* going to insmod raid0.o (path is NULL)
* going to insmod raid5.o (path is NULL)
* going to insmod fat.o (path is NULL)
* going to insmod vfat.o (path is NULL)



.... Frozen machine
Comment 3 Brock Organ 2000-11-06 17:47:33 EST
thanks for your additional information ... this sounds like a known issue with
6.2 and some laptops ... the issue should be fixed in Red Hat Linux 7, please
reopen this if it is still a problem ... thanks for your report!
Comment 4 Heled Joseph 2000-11-08 13:54:54 EST
While this might be correct, I think it is not very polite. At least you can say
what you think is wrong, point me to the fix in 7.0, or anything. Are you
expecting me to buy 7.0 now, just in the hope it has been fixed?

Comment 5 Heled Joseph 2000-11-12 18:43:10 EST
I downloaded  comps,netstg1.img,netstg2.img
ftp://ftp.clear.net.nz/mirror/ftp.redhat.com/redhat-7.0/i386/en/RedHat/base/

Created a net boot image disk.

Tried to run using an FTP mode.

I got a fatal error - here is the output. What does it mean?

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", line
32, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 532, in
getHeaderList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/urlinstall.py", line 76, in
readHeaders
TypeError: bad magic in header

Local variables in innermost frame:
self: <urlinstall.UrlInstallMethod instance at 8269690>
url: <addinfourl at 137534824 whose fp = <addclosehook at 136459848 whose fp =
<open file '<socket>', mode 'rb' at 824b6d8>>>
hl: []
magic1: 1751411817
connected: 1
raw: hdlist: No such 
info: (1768711272, 540701811, 1931505486, 543712117)

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iurlinstall
UrlInstallMethod
p4
(dp5
S'baseUrl'
p6
S'ftp://joseph:%6c%61%62%32%74%6f%67%69@192.157.126.190/usr/rh70'
sbsS'initlevel'
p7
I3
sS'skipLilo'
p8
I1
sS'progressWindow'
p9
NsS'expert'
p10
I0
sS'ddruidReadOnly'
p11
I0
sS'bootdisk'
p12
I0
sS'language'
p13
(itodo
Language
(dp14
S'abbrevMap'
p15
(dp16
S'es_ES'
p17
S'Spanish'
p18
sS'tr_TR'
p19
S'Turkish'
p20
sS'sr_YU'
p21
S'Serbian'
p22
sS'de_DE'
p23
S'German'
p24
sS'sk_SK'
p25
S'Slovak'
p26
sS'ru_RU.KOI8-R'
p27
S'Russian'
p28
sS'is_IS'
p29
S'Icelandic'
p30
sS'no_NO'
p31
S'Norwegian'
p32
sS'sv_SE'
p33
S'Swedish'
p34
sS'en_US'
p35
S'English'
p36
sS'it_IT'
p37
S'Italian'
p38
sS'da_DK'
p39
S'Danish'
p40
sS'cs_CZ'
p41
S'Czech'
p42
sS'uk_UA.KOI8-U'
p43
S'Ukrainian'
p44
sS'hu_HU'
p45
S'Hungarian'
p46
sS'fr_FR'
p47
S'French'
p48
sS'sl_SI'
p49
S'Slovenian'
p50
sS'ro_RO'
p51
S'Romanian'
p52
ssS'font'
p53
(dp54
g38
S'lat0-sun16'
sg22
S'cyr-sun16'
sg28
S'cyr-sun16'
sg36
S'None'
sg26
S'lat2-sun16'
sg32
S'lat0-sun16'
sg34
S'lat0-sun16'
sg48
S'None'
sg50
S'lat2-sun16'
sg52
S'lat2-sun16'
sg24
S'None'
sg20
S'lat5-sun16'
sg46
S'lat2-sun16'
sg18
S'None'
sg44
S'cyr-sun16'
sg42
S'lat2-sun16'
sg40
S'lat0-sun16'
sg30
S'lat0-sun16'
ssS'langs'
p55
(dp56
g38
g37
sg22
g21
sg28
g27
sg36
g35
sg26
g25
sg32
g31
sg34
g33
sg48
g47
sg50
g49
sg52
g51
sg24
g23
sg20
g19
sg46
g45
sg18
g17
sg44
g43
sg42
g41
sg40
g39
sg30
g29
ssS'info'
p57
(dp58
S'LANG'
p59
g35
ssS'map'
p60
(dp61
g38
S'iso15'
sg22
S'iso05'
sg28
S'koi8-r'
sg36
S'None'
sg26
S'iso02'
sg32
S'iso15'
sg34
S'iso15'
sg48
S'None'
sg50
S'iso02'
sg52
S'iso02'
sg24
S'None'
sg20
S'iso09'
sg46
S'iso02'
sg18
S'None'
sg44
S'koi8-u'
sg42
S'iso02'
sg40
S'iso15'
sg30
S'iso15'
ssS'lang'
p62
g35
sbsS'fstab'
p63
NsS'lilo'
p64
(ililo
LiloConfiguration
(dp65
S'liloDevice'
p66
S'mbr'
p67
sS'initrdsMade'
p68
(dsS'edd'
p69
I0
sS'default'
p70
NsS'liloImages'
p71
(dp72
S'hda2'
p73
(S'dos'
p74
I1
tssS'liloLinear'
p75
I1
sS'liloAppend'
p76
S''
sbsS'comps'
p77
NsS'network'
p78
(itodo
Network
(dp79
S'netdevices'
p80
(dp81
S'eth0'
p82
(itodo
NetworkDevice
(dp83
g57
(dp84
S'ONBOOT'
p85
S'yes'
sS'IPADDR'
p86
S'192.157.126.170'
sS'BOOTPROTO'
p87
S'static'
sS'NETMASK'
p88
S'255.255.255.0'
sS'DEVICE'
p89
g82
ssbssS'gateway'
p90
S''
sS'secondaryNS'
p91
S''
sS'hostname'
p92
S'han'
sS'primaryNS'
p93
S'192.157.126.190'
sS'domains'
p94
(lsS'isConfigured'
p95
I1
sS'readData'
p96
I1
sS'ternaryNS'
p97
S''
sbsS'upgrade'
p98
I0
sS'instClass'
p99
(icustom
InstallClass
(dp100
S'rootPasswordCrypted'
p101
I0
sS'nameserver'
p102
S''
sS'x'
NsS'rootPassword'
p103
NsS'makeBootdisk'
p104
I0
sS'installType'
p105
NsS'postScript'
p106
NsS'earlySwapOn'
p107
I0
sS'networkDevice'
p108
NsS'clearText'
p109
Nsg64
(g67
I1
S''
tsg13
NsS'name'
p110
S''
sS'postInChroot'
p111
I0
sS'pixmap'
p112
S''
sS'partitions'
p113
(lsS'clearType'
p114
Nsg90
S''
sS'mouse'
p115
NsS'packages'
p116
NsS'timezone'
p117
NsS'zeroMbr'
p118
I0
sS'keyboard'
p119
NsS'groups'
p120
NsS'bootProto'
p121
NsS'netmask'
p122
S''
sS'raidList'
p123
(lsS'skipSteps'
p124
(dsS'auth'
p125
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg92
Nsg63
(lsS'showgroups'
p126
NsS'ip'
p127
S''
sS'defaultRunlevel'
p128
NsS'desktop'
p129
S''
sS'clearPartText'
p130
NsS'clearParts'
p131
I0
sbsS'rootpassword'
p132
NsS'extraModules'
p133
(lp134
sg115
(imouse
Mouse
p135
(dp136
S'device'
p137
S'psaux'
p138
sg57
(dp139
S'XMOUSETYPE'
p140
S'PS/2'
p141
sS'FULLNAME'
p142
S'Generic - 2 Button Mouse (PS/2)'
p143
sS'MOUSETYPE'
p144
S'ps/2'
p145
ssS'emu'
p146
I0
sS'wasProbed'
p147
I1
sS'emulate'
p148
I1
sbsS'ddruidAlreadySaved'
p149
I0
sS'serial'
p150
I0
sg117
(S'America/New_York'
I0
I0
tsg118
I0
sg119
(ikbd
Keyboard
(dp151
S'layout'
p152
NsS'model'
p153
NsS'type'
p154
S'PC'
p155
sg57
(dp156
S'KEYBOARDTYPE'
p157
S'pc'
p158
sS'KEYTABLE'
p159
S'us'
p160
ssbsS'skipFdisk'
p161
I1
sS'fdDevice'
p162
S'fd0'
p163
sS'installSystem'
p164
I1
sS'setupFilesystems'
p165
I1
sg125
(itodo
Authentication
(dp166
S'useNIS'
p167
I0
sS'nisServer'
p168
S''
sS'useLdap'
p169
I0
sS'krb5Kdc'
p170
S''
sS'useHesiod'
p171
I0
sS'ldapServer'
p172
S''
sS'nisDomain'
p173
S''
sS'krb5Realm'
p174
S''
sS'useLdapauth'
p175
I0
sS'hesiodRhs'
p176
S''
sS'useShadow'
p177
I1
sS'nisuseBroadcast'
p178
I0
sS'useKrb5'
p179
I0
sS'useMD5'
p180
I1
sS'ldapBasedn'
p181
S''
sS'krb5Admin'
p182
S''
sS'hesiodLhs'
p183
S''
sS'hesiodDlhs'
p184
S''
sbsg92
NsS'reconfigOnly'
p185
I0
sS'x'
(ixf86config
XF86Config
(dp186
S'monlist'
p187
(dsS'keyModel'
p188
S'pc101'
p189
sS'monids'
p190
(dsg137
NsS'monEisa'
p191
NsS'server'
p192
NsS'monHoriz'
p193
S'31.5'
p194
sS'devID'
p195
NsS'modes'
p196
(dp197
S'8'
(lp198
S'640x480'
p199
assS'keyOptions'
p200
S''
sS'keyVariant'
p201
S''
sS'monID'
p202
S'Unprobed Monitor'
p203
sS'keyLayout'
p204
S'us'
p205
sS'manualModes'
p206
(dsg115
g135
sS'keyRules'
p207
S'xfree86'
p208
sS'monVert'
p209
S'60'
p210
sS'cardMan'
p211
NsS'monSect'
p212
S''
sS'primary'
p213
I0
sS'vidRam'
p214
NsS'probed'
p215
I0
sS'monName'
p216
NsS'vidCards'
p217
(lsS'skip'
p218
I0
sS'files'
p219
S'\012# The location of the RGB database.  Note, this is the name of the\012#
file minus the extension (like ".txt" or ".db").  There is normally\012# no need
to change the default.\012\012    RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012#
Multiple FontPath entries are allowed (they are concatenated together)\012# By
default, Red Hat 6.0 and later now use a font server independent of\012# the X
server to render fonts.\012\012    FontPath  
"/usr/X11R6/lib/X11/fonts/TrueType"\012    FontPath   "unix/:7100"\012'
p220
sbsS'users'
p221
NsS'instPath'
p222
S'/mnt/sysimage'
p223
sS'intf'
p224
NsS'hdList'
p225
Nsb.
Comment 6 Michael Fulbright 2000-11-13 11:06:50 EST
For some reason the keyboard on some laptops will freeze up at this point.  If
you can suspend and un-suspend your laptop after it has appeared to freeze does
it help?
Comment 7 Heled Joseph 2000-11-13 12:38:22 EST
I am not sure what you mean. This time it did not freeze, but crashed. I got the
option to save to the diskette (which I did, and this is where the report above
comes from), or "debug". Then it said "you can safly reboot ..."


Does the report above seem to indicate a keyboard problem, which froze 6.2, but
crash 7.0?

When it did freeze, all keyboard keys are not responding. How can I "suspend" or
"unsuspend"?

-JOseph
Comment 8 Michael Fulbright 2000-11-14 15:08:44 EST
I'm sorry, I completely misunderstood your comments.

I think your problem here is the mirror site you were using had problems. Try
using a different site to install from and let us know if it does better.

Note You need to log in before you can comment on or make changes to this bug.